# $Revision: 1.46.2.2 $, $Date: 2006/12/07 01:09:01 $
#
# Conditional build (Linux 2.4 compat, switch after Ac):
%bcond_with	epoll		# use epoll() syscall (requires Linux 2.6)
%bcond_with	sendfile64	# use sendfile64 on even if it requires Linux 2.6
%bcond_with	tcpnodelaycork	# use TCP_NODELAY|TCP_CORK flags (requires Linux 2.6)
#
# Linux 2.4.32 supports sendfile64 only on i386 and mips (only 32-bit archs matter)
%ifnarch ppc sparc sparc64
%define		with_sendfile64		1
%endif
Summary:	Apache Portable Runtime
Summary(pl):	Apache Portable Runtime - przenona biblioteka uruchomieniowa
Name:		apr
Version:	1.2.8
Release:	1
Epoch:		1
License:	Apache v2.0
Group:		Libraries
Source0:	http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
# Source0-md5:	c573f1b3046991a2624002398b078ad5
Patch0:		%{name}-link.patch
Patch1:		%{name}-metuxmpm.patch
Patch2:		%{name}-libtool.patch
Patch3:		%{name}-no-epoll.patch
URL:		http://apr.apache.org/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	libtool >= 1.3.3
BuildRequires:	libuuid-devel
BuildRequires:	sed >= 4.0
BuildRequires:	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	/usr/include/apr
%define		_datadir	/usr/share/apr

%description
The mission of the Apache Portable Runtime (APR) project is to create
and maintain software libraries that provide a predictable and
consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may
code and be assured of predictable if not identical behaviour
regardless of the platform on which their software is built, relieving
them of the need to code special-case conditions to work around or
take advantage of platform-specific deficiencies or features.

%description -l pl
Celem projektu APR (Apache Portable Runtime) jest stworzenie i
utrzymywanie bibliotek dostarczajcych przewidywalnego i spjnego
interfejsu do lecych u podstaw implementacji zalenych od platformy.
Gwnym celem jest dostarczenie API, ktrego mog uywa programici
majc pewno, e zachowuje si w sposb przewidywalny, jeli nie
identyczny, niezalenie od platformy na jakiej oprogramowanie jest
budowane oraz bez potrzeby kodowania specjalnych warunkw do
obchodzenia lub wykorzystywania specyficznych dla platform rnic lub
moliwoci.

%package devel
Summary:	Header files and development documentation for apr
Summary(pl):	Pliki nagwkowe i dokumentacja programisty do apr
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libuuid-devel
Requires:	automake
Requires:	libtool

%description devel
Header files and development documentation for apr.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do apr.

%package static
Summary:	Static apr library
Summary(pl):	Statyczna biblioteka apr
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static apr library.

%description static -l pl
Statyczna biblioteka apr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{!?with_epoll:%patch3 -p1}

cat >> config.layout <<'EOF'
<Layout PLD>
sbindir:	%{_sbindir}
libexecdir:	%{_libdir}/apr
installbuilddir: ${datadir}/build-${APR_MAJOR_VERSION}
localstatedir:	/var/run
runtimedir:	/var/run
libsuffix:	-${APR_MAJOR_VERSION}
</Layout PLD>
EOF

%build
install /usr/share/automake/config.* build
./buildconf
%configure \
	%{!?with_tcpnodelaycork:apr_cv_tcp_nodelay_with_cork=no} \
	%{!?with_sendfile64:ac_cv_func_sendfile64=no} \
	--enable-layout=PLD \
%ifarch %{ix86} %{i8664}
%ifnarch i386
	--enable-nonportable-atomics \
%endif
%endif
	--enable-threads \
	--with-devrandom=/dev/urandom
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_bindir}/libtool $RPM_BUILD_ROOT%{_datadir}/libtool

mv -f $RPM_BUILD_ROOT%{_datadir}/build-1 $RPM_BUILD_ROOT%{_datadir}/build
install build/{*apr*.m4,*.awk,*.sh,gen-build.py} $RPM_BUILD_ROOT%{_datadir}/build
ln -snf /usr/share/automake/config.{guess,sub} $RPM_BUILD_ROOT%{_datadir}/build
ln -snf /usr/share/libtool/ltmain.sh $RPM_BUILD_ROOT%{_datadir}/build
ln -snf /usr/bin/libtool $RPM_BUILD_ROOT%{_datadir}/build
ln -sf build $RPM_BUILD_ROOT%{_datadir}/build-1

sed -i -e 's@^\(APR_SOURCE_DIR=\).*@\1"%{_datadir}"@' \
	$RPM_BUILD_ROOT%{_bindir}/apr-1-config
sed -i -e 's@^\(apr_builddir\|apr_builders\)=.*@\1=%{_datadir}/build-1@' \
	$RPM_BUILD_ROOT%{_datadir}/build/apr_rules.mk
sed -i -e '1s@#!.*python@#!%{__python}@' $RPM_BUILD_ROOT%{_datadir}/build/gen-build.py

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES docs/*.html
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/apr.exp
%{_includedir}
%dir %{_datadir}
%dir %{_datadir}/build
%{_datadir}/build/*.mk
%{_datadir}/build/*.m4
%{_datadir}/build/*.awk
%attr(755,root,root) %{_datadir}/build/config.*
%attr(755,root,root) %{_datadir}/build/*.sh
%attr(755,root,root) %{_datadir}/build/libtool
%attr(755,root,root) %{_datadir}/build/gen-build.py
%{_datadir}/build-1
%{_pkgconfigdir}/apr-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apr.spec,v $
Revision 1.46.2.2  2006/12/07 01:09:01  glen
- 1.2.8 merge from HEAD

Revision 1.46.2.1  2006/04/17 17:27:05  glen
- 1.2.7

Revision 1.46  2006/04/04 05:43:10  qboosh
- updated to 1.2.6, removed obsolete branch patch

Revision 1.45  2005/12/21 21:43:35  arekm
- rel 4; some important fixes from 1.2 branch

Revision 1.44  2005/12/21 14:00:12  glen
- rel 3

Revision 1.43  2005/12/19 20:55:26  glen
- package gen-build.py (for apr-util)
- use sed rather perl to do inline edits, as perl ignores missing files
- fix apr-1-config inplace edit filename
- add libtool patch to be able to use ccache/distcc and friends

Revision 1.42  2005/12/02 10:16:07  qboosh
- disable sendfile64 on 32-bit ppc; release 2

Revision 1.41  2005/11/08 19:18:41  qboosh
- bcond descs

Revision 1.40  2005/11/05 22:18:31  arekm
- epoll, tcpnodelaycork bconds; --enable-nonportable-atomics on amd64; FYI: disabling funcionality due to kernel24 crap sucks

Revision 1.39  2005/11/02 19:11:50  glen
- use system autotools in -devel

Revision 1.38  2005/10/14 08:01:24  qboosh
- updated to 1.2.2 (bugfixes)
- avoid simultaneous TCP_NODELAY|TCP_CORK (for Linux 2.4.x compatibility)

Revision 1.37  2005/09/04 15:44:49  qboosh
- updated to 1.2.1

Revision 1.36  2005/05/24 22:28:23  arekm
- rel 4

Revision 1.35  2005/05/24 22:14:54  arekm
- fix for linux 2.4 sparc system

Revision 1.34  2005/05/23 22:08:11  ankry
- BR: moved

Revision 1.33  2005/05/23 21:45:08  arekm
- rel 2

Revision 1.32  2005/05/23 19:51:21  arekm
- devel: add BR: libuuid-devel

Revision 1.31  2005/04/18 22:20:01  qboosh
- updated to 1.1.1

Revision 1.30  2005/01/24 07:32:24  arekm
- rel3, use /dev/urandom instead of /dev/random.

Revision 1.29  2004/12/10 17:33:16  radek
- release 2: --enable-nonportable-atomics for ix86>386 (better performance)

Revision 1.28  2004/11/20 20:38:32  qboosh
- updated to 1.0.1

Revision 1.27  2004/10/07 08:52:04  arekm
- rel 2; disable epoll support (2.6 only feature)

Revision 1.26  2004/09/30 21:05:36  arekm
- rel 1

Revision 1.25  2004/09/16 20:32:09  qboosh
- updated link patch, removed obsolete modes,0.9.5 patches
- use build as dir and build-1 as symlink to avoid rpm problems on this and
  future upgrades
- BR: python (checked by buildcheck)

Revision 1.24  2004/09/05 08:06:28  pluto
- ehh, %files updated.

Revision 1.23  2004/09/05 08:04:00  pluto
- symlink: build -> build-1

Revision 1.22  2004/09/05 07:46:40  pluto
- updated to 1.0.0 (patches need check).
- release 0.1.

Revision 1.21  2004/08/20 18:57:02  arekm
- rel 8; fix modes used by apr

Revision 1.20  2004/07/04 11:11:22  arekm
- rel7; update from apache 2.0.50

Revision 1.19  2004/04/18 21:03:25  qboosh
- remade 0.9.5 diff from unpatched apache 2.0.49
- updated link patch, added metuxmpm patch
- fixed License (was Apache 1.1 orignally, Apache 2.0 with 0.9.5 patch - but never GPL)
- release 6

Revision 1.18  2004/04/15 22:12:00  arekm
- updated to version from apache 2.0.49

Revision 1.17  2004/01/24 01:38:35  ankry
- rel. 4 for ac

Revision 1.16  2004/01/19 22:21:32  ankry
- rel. 2

Revision 1.15  2003/12/20 01:00:48  arekm
- use new config.* (fixes build on amd64)

Revision 1.14  2003/11/23 00:36:04  qboosh
- one more try, release 0.3

Revision 1.13  2003/11/23 00:15:18  qboosh
- fixed dirs in -devel; release 0.2

Revision 1.12  2003/11/15 11:12:12  arekm
- updated to 0.9.5 (apache version)

Revision 1.11  2003/11/14 10:14:38  qboosh
- eh, these conflicts don't make sense here (Name is the same)

Revision 1.10  2003/11/14 10:10:15  qboosh
- Conflicts with apr from apache (which contained apr-util); release 2

Revision 1.9  2003/11/01 22:25:47  ciesiel
- typo

Revision 1.8  2003/10/28 08:47:30  trojan
- fixed paths to apr build tools

Revision 1.7  2003/10/28 08:00:19  trojan
- updated to official 0.9.4

Revision 1.6  2003/10/05 22:27:54  qboosh
- added link patch - link with used libs, no unused libs in apr-config --libs
- it's snapshot version, so added release to subpackage deps
- removed libtool from -devel Reqs - it provides own version of libtool
- pl descriptions

Revision 1.5  2003/09/13 15:13:54  arekm
- added all files required by apr-util

Revision 1.4  2003/09/13 14:45:06  arekm
- add m4 macros which are later used by apr-util

Revision 1.3  2003/09/13 13:02:25  arekm
- update to apr 0.9.4 snapshot (which is in out apache2 anyway and it's required by subversion)

Revision 1.2  2003/09/13 12:04:35  arekm
- proper desc

Revision 1.1  2003/09/13 11:42:25  arekm
- initial pld release
